/genesys-knowledge | Type: Application | PCID required: Yes
Tools
genesys_knowledge_delete_knowledgebase
Delete knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
genesys_knowledge_delete_knowledgebase_category
Delete category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
genesys_knowledge_delete_knowledgebase_document
Delete document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
genesys_knowledge_delete_knowledgebase_document_variation
Delete a variation for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
documentVariationId | string | Yes | — | Globally unique identifier for a document variation. |
documentId | string | Yes | — | Globally unique identifier for a document. |
knowledgeBaseId | string | Yes | — | Globally unique identifier for a knowledge base. |
genesys_knowledge_delete_knowledgebase_label
Delete label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
labelId | string | Yes | — | Label ID |
genesys_knowledge_delete_knowledgebase_sources_salesforce_source_id
Delete Salesforce Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
genesys_knowledge_delete_knowledgebase_sources_servicenow_source_id
Delete ServiceNow Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
genesys_knowledge_delete_knowledgebase_synchronize_job
Delete synchronization job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
syncJobId | string | Yes | — | Synchronization job ID |
genesys_knowledge_delete_setting
Delete Knowledge setting. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeSettingId | string | Yes | — | Knowledge Setting ID. |
genesys_knowledge_get_guest_session_categories
Get categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
parentId | string | No | — | If specified, retrieves the children categories by parent category ID. |
isRoot | boolean | No | — | If specified, retrieves only the root categories. |
name | string | No | — | Filter to return the categories that starts with the given category name. |
sortBy | string | No | — | Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically |
expand | string | No | — | The specified entity attribute will be filled. Supported value:“Ancestors”: every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to category. |
genesys_knowledge_get_guest_session_document
Get a knowledge document by ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
documentId | string | Yes | — | Document ID |
genesys_knowledge_get_guest_session_documents
Get documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
categoryId | any[] | No | — | If specified, retrieves documents associated with category ids, comma separated values expected. |
pageSize | integer | No | — | Number of entities to return. Maximum of 200. |
genesys_knowledge_get_integration_options
Get sync options available for a knowledge-connect integration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integrationId | string | Yes | — | Integration ID |
knowledgeBaseIds | any[] | No | — | Narrowing down filtering option results by knowledge base. |
genesys_knowledge_get_knowledge_knowledgebase
Get knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
genesys_knowledge_get_knowledge_knowledgebase_categories
Get categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
parentId | string | No | — | If specified, retrieves the children categories by parent category ID. |
isRoot | boolean | No | — | If specified, retrieves only the root categories. |
name | string | No | — | Filter to return the categories that starts with the given category name. |
sortBy | string | No | — | Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically |
expand | string | No | — | The specified entity attribute will be filled. Supported value:“Ancestors”: every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to category. |
genesys_knowledge_get_knowledge_knowledgebase_category
Get category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
genesys_knowledge_get_knowledge_knowledgebase_document
Get document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. Max No. of variations that can be returned on expand is 20. |
state | string | No | — | “when state is “Draft”, draft version of the document is returned,otherwise by default published version is returned in the response. |
genesys_knowledge_get_knowledge_knowledgebase_document_variations
Get variations for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
documentState | string | No | — | The state of the document. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
genesys_knowledge_get_knowledge_knowledgebase_documents
Get documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
interval | string | No | — | Retrieves the documents modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ |
documentId | any[] | No | — | Retrieves the specified documents, comma separated values expected. |
categoryId | any[] | No | — | If specified, retrieves documents associated with category ids, comma separated values expected. |
includeSubcategories | boolean | No | — | Works along with ‘categoryId’ query parameter. If specified, retrieves documents associated with category ids and its children categories. |
includeDrafts | boolean | No | — | If includeDrafts is true, Documents in the draft state are also returned in the response. |
labelIds | any[] | No | — | If specified, retrieves documents associated with label ids, comma separated values expected. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
externalIds | any[] | No | — | If specified, retrieves documents associated with external ids, comma separated values expected. |
genesys_knowledge_get_knowledge_knowledgebase_labels
Get labels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
name | string | No | — | Filter to return the labels that contains the given phrase in the name. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to label. |
genesys_knowledge_get_knowledge_knowledgebases
Get knowledge bases Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
limit | string | No | — | Number of entities to return. Maximum of 100. Deprecated in favour of pageSize |
pageSize | string | No | — | Number of entities to return. Maximum of 100. |
name | string | No | — | Filter by Name. |
coreLanguage | string | No | — | Filter by core language. |
published | boolean | No | — | Filter by published status. |
sortBy | string | No | — | Sort by. |
sortOrder | string | No | — | Sort Order. |
genesys_knowledge_get_knowledgebase
Get knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
genesys_knowledge_get_knowledgebase_categories
Get categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
parentId | string | No | — | If specified, retrieves the children categories by parent category ID. |
isRoot | boolean | No | — | If specified, retrieves only the root categories. |
name | string | No | — | Filter to return the categories that starts with the given category name. |
sortBy | string | No | — | Name: sort by category names alphabetically; Hierarchy: sort by the full path of hierarchical category names alphabetically |
expand | string | No | — | The specified entity attribute will be filled. Supported value:“Ancestors”: every ancestors will be filled via the parent attribute recursively,but only the id, name, parentId will be present for the ancestors. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to category. |
genesys_knowledge_get_knowledgebase_category
Get category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
genesys_knowledge_get_knowledgebase_document
Get document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. Max No. of variations that can be returned on expand is 20. |
state | string | No | — | “when state is “Draft”, draft version of the document is returned,otherwise by default published version is returned in the response. |
genesys_knowledge_get_knowledgebase_document_feedback
Get a list of feedback records given on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
onlyCommented | boolean | No | — | If true, only feedback records that have comment are returned. If false, feedback records with and without comment are returned. Default: false. |
documentVersionId | string | No | — | Document version ID to filter by. Supported only if onlyCommented=true is set. |
documentVariationId | string | No | — | Document variation ID to filter by. Supported only if onlyCommented=true is set. |
appType | string | No | — | Application type to filter by. Supported only if onlyCommented=true is set. |
queryType | string | No | — | Query type to filter by. Supported only if onlyCommented=true is set. |
userId | string | No | — | The ID of the user, who created the feedback, to filter by. Supported only if onlyCommented=true is set. |
queueId | string | No | — | Queue ID to filter by. Supported only if onlyCommented=true is set. |
state | string | No | — | State to filter by. Supported only if onlyCommented=true is set. Default: Final |
genesys_knowledge_get_knowledgebase_document_feedback_feedback_id
Get a single feedback record given on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
feedbackId | string | Yes | — | Feedback ID. |
genesys_knowledge_get_knowledgebase_document_variation
Get a variation for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
documentVariationId | string | Yes | — | Globally unique identifier for a document variation. |
documentId | string | Yes | — | Globally unique identifier for a document. |
knowledgeBaseId | string | Yes | — | Globally unique identifier for a knowledge base. |
documentState | string | No | — | The state of the document. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
genesys_knowledge_get_knowledgebase_document_variations
Get variations for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
documentState | string | No | — | The state of the document. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
genesys_knowledge_get_knowledgebase_document_version
Get document version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
versionId | string | Yes | — | Globally unique identifier for the document version. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
genesys_knowledge_get_knowledgebase_document_version_variation
Get variation for the given document version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
versionId | string | Yes | — | Globally unique identifier for the document version. |
variationId | string | Yes | — | Globally unique identifier for the document version variation. |
genesys_knowledge_get_knowledgebase_document_version_variations
Get variations for the given document version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
versionId | string | Yes | — | Globally unique identifier for the document version. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
genesys_knowledge_get_knowledgebase_document_versions
Get document versions. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
genesys_knowledge_get_knowledgebase_documents
Get documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
interval | string | No | — | Retrieves the documents modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ |
documentId | any[] | No | — | Retrieves the specified documents, comma separated values expected. |
categoryId | any[] | No | — | If specified, retrieves documents associated with category ids, comma separated values expected. |
includeSubcategories | boolean | No | — | Works along with ‘categoryId’ query parameter. If specified, retrieves documents associated with category ids and its children categories. |
includeDrafts | boolean | No | — | If includeDrafts is true, Documents in the draft state are also returned in the response. |
labelIds | any[] | No | — | If specified, retrieves documents associated with label ids, comma separated values expected. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
externalIds | any[] | No | — | If specified, retrieves documents associated with external ids, comma separated values expected. |
genesys_knowledge_get_knowledgebase_label
Get label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
labelId | string | Yes | — | Label ID |
genesys_knowledge_get_knowledgebase_labels
Get labels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
name | string | No | — | Filter to return the labels that contains the given phrase in the name. |
includeDocumentCount | boolean | No | — | If specified, retrieves the number of documents related to label. |
genesys_knowledge_get_knowledgebase_operations
Get operations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
userId | any[] | No | — | If specified, retrieves operations associated with user ids, comma separated values expected. |
type | any[] | No | — | If specified, retrieves operations with specified operation type, comma separated values expected. |
status | any[] | No | — | If specified, retrieves operations with specified operation status, comma separated values expected. |
interval | string | No | — | Retrieves the operations modified in specified date and time range. If the after and before cursor parameters are within this interval, it would return valid data, otherwise it throws an error.The dates in the interval are represented in ISO-8601 format: YYYY-MM-DDThh:mm:ssZ/YYYY-MM-DDThh:mm:ssZ |
sourceId | any[] | No | — | If specified, retrieves operations associated with source ids, comma separated values expected. |
genesys_knowledge_get_knowledgebase_operations_users_query
Get ids of operation creator users and oauth clients Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
genesys_knowledge_get_knowledgebase_parse_job
Get parse job report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
parseJobId | string | Yes | — | Parse job ID |
expand | any[] | No | — | If expand contains ‘urls’ downloadURL and failedEntitiesURL will be filled. |
genesys_knowledge_get_knowledgebase_sources
Get Knowledge integration sources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
type | string | No | — | If specified, retrieves integration sources with specified integration type. |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
ids | any[] | No | — | If specified, retrieves integration sources with specified IDs. |
genesys_knowledge_get_knowledgebase_sources_salesforce_source_id
Get Salesforce Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
genesys_knowledge_get_knowledgebase_sources_servicenow_source_id
Get ServiceNow Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
expand | any[] | No | — | The specified entity attributes will be filled. Comma separated values expected. |
genesys_knowledge_get_knowledgebase_synchronize_job
Get synchronization job report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
syncJobId | string | Yes | — | Synchronization job ID |
genesys_knowledge_get_knowledgebase_unanswered_group
Get knowledge base unanswered group for a particular groupId Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
groupId | string | Yes | — | The ID of the group to be retrieved. |
app | string | No | — | The app value to be used for filtering phrases. |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
genesys_knowledge_get_knowledgebase_unanswered_group_phrasegroup
Get knowledge base unanswered phrase group for a particular phraseGroupId Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
groupId | string | Yes | — | The ID of the group to be retrieved. |
phraseGroupId | string | Yes | — | The ID of the phraseGroup to be retrieved. |
app | string | No | — | The app value to be used for filtering phrases. |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
genesys_knowledge_get_knowledgebase_unanswered_groups
Get knowledge base unanswered groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
app | string | No | — | The app value to be used for filtering phrases. |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
genesys_knowledge_get_knowledgebase_uploads_urls_job
Get content upload from URL job status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
jobId | string | Yes | — | Upload job ID |
genesys_knowledge_get_knowledgebases
Get knowledge bases Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
limit | string | No | — | Number of entities to return. Maximum of 100. Deprecated in favour of pageSize |
pageSize | string | No | — | Number of entities to return. Maximum of 100. |
name | string | No | — | Filter by Name. |
coreLanguage | string | No | — | Filter by core language. |
published | boolean | No | — | Filter by published status. |
sortBy | string | No | — | Sort by. |
sortOrder | string | No | — | Sort Order. |
genesys_knowledge_get_setting
Get Knowledge setting. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeSettingId | string | Yes | — | Knowledge Setting ID. |
genesys_knowledge_get_settings
Get Knowledge settings. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
before | string | No | — | The cursor that points to the start of the set of entities that has been returned. |
after | string | No | — | The cursor that points to the end of the set of entities that has been returned. |
pageSize | string | No | — | Number of entities to return. Maximum of 200. |
name | string | No | — | Knowledge setting name to search upon. |
sourceId | string | No | — | Source ID to filter knowledge settings by. |
sortBy | string | No | — | Field to sort the knowledge settings on. |
sortOrder | string | No | — | Sorting order for knowledge settings. |
genesys_knowledge_patch_guest_session_documents_search_search_id
Update search result. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
searchId | string | Yes | — | Search Result ID |
answered | boolean | Yes | — | Mark the search as answered/unanswered |
selectedAnswer | object | No | — | selectedAnswer |
selectedAnswers | any[] | No | — | The search results selected as answers |
genesys_knowledge_patch_knowledgebase
Update knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
description | string | No | — | Knowledge base description |
name | string | No | — | Knowledge base name |
genesys_knowledge_patch_knowledgebase_category
Update category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
categoryId | string | Yes | — | Category ID |
description | string | No | — | description |
externalId | string | No | — | The external id associated with the category. |
id | string | No | — | The globally unique identifier for the object. |
name | string | No | — | The name of the category. |
parentCategoryId | string | No | — | The category to which this category belongs. |
selfUri | string | No | — | The URI for this object |
genesys_knowledge_patch_knowledgebase_chunks_search_search_id
Register chunk search result. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge Base ID |
searchId | string | Yes | — | Unique identifier of search request |
answered | boolean | No | — | Mark the chunks search as answered/unanswered |
selectedAnswers | any[] | No | — | The search results selected as answers |
sessionId | string | No | — | The unique identifier of this session |
genesys_knowledge_patch_knowledgebase_document
Update document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
alternatives | any[] | No | — | List of alternate phrases related to the title which improves search results. |
categoryId | string | No | — | The category associated with the document. |
externalId | string | No | — | The external id associated with the document. |
externalUrl | string | No | — | The URL to external document. |
id | string | No | — | The globally unique identifier for the object. |
labelIds | any[] | No | — | The ids of labels associated with the document. |
selfUri | string | No | — | The URI for this object |
title | string | Yes | — | Document title. |
visible | boolean | No | — | Indicates if the knowledge document should be included in search results. |
genesys_knowledge_patch_knowledgebase_document_feedback_feedback_id
Update feedback on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
feedbackId | string | Yes | — | Feedback ID. |
comment | string | No | — | Feedback comment |
rating | string | No | — | Feedback rating. |
reason | string | No | — | Feedback reason |
state | string | No | — | Feedback state |
genesys_knowledge_patch_knowledgebase_document_variation
Update a variation for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
documentVariationId | string | Yes | — | Globally unique identifier for a document variation. |
documentId | string | Yes | — | Globally unique identifier for a document. |
knowledgeBaseId | string | Yes | — | Globally unique identifier for a knowledge base. |
body | object | No | — | body |
contexts | any[] | Yes | — | The context values associated with the variation. |
dateCreated | string | No | — | The creation date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
dateModified | string | No | — | The last modification date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
document | object | No | — | document |
documentVersion | object | No | — | documentVersion |
id | string | No | — | The globally unique identifier for the variation. |
name | string | No | — | The name of the variation. |
priority | integer | No | — | The priority of the variation. |
selfUri | string | No | — | The URI for this object |
genesys_knowledge_patch_knowledgebase_documents_search_search_id
Update search result. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | The ID of knowledge base containing the documents to query. |
searchId | string | Yes | — | Search Result ID |
answered | boolean | No | — | Mark the search as answered/unanswered |
selectedAnswer | object | No | — | selectedAnswer |
selectedAnswers | any[] | No | — | The search results selected as answers |
sessionId | string | No | — | The unique identifier of this session |
genesys_knowledge_patch_knowledgebase_label
Update label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
labelId | string | Yes | — | Label ID |
color | string | No | — | The color for the label. |
externalId | string | No | — | The external id associated with the label. |
id | string | No | — | The globally unique identifier for the object. |
name | string | No | — | The name of the label. |
selfUri | string | No | — | The URI for this object |
genesys_knowledge_patch_knowledgebase_parse_job
Send update to the parse operation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
parseJobId | string | Yes | — | Parse job ID |
hints | any[] | No | — | Hinted titles for the parser. |
genesys_knowledge_patch_knowledgebase_synchronize_job
Update synchronization job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
syncJobId | string | Yes | — | Synchronization job ID |
status | string | Yes | — | New status for an existing sync operation |
genesys_knowledge_patch_knowledgebase_unanswered_group_phrasegroup
Update a Knowledge base unanswered phrase group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
groupId | string | Yes | — | The ID of the group to be updated. |
phraseGroupId | string | Yes | — | The ID of the phraseGroup to be updated. |
dateEnd | string | No | — | The end date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
dateStart | string | No | — | The start date to be used for filtering phrases. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
phraseAssociations | any[] | Yes | — | List of phrases and documents to be linked |
genesys_knowledge_patch_setting
Update Knowledge setting. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeSettingId | string | Yes | — | Knowledge Setting ID. |
description | string | No | — | Knowledge setting description. |
generationSetting | object | No | — | generationSetting |
name | string | Yes | — | Knowledge setting name. |
sources | any[] | Yes | — | Knowledge source information to search upon. |
stateful | boolean | No | — | Indicates if stateful search and generation is enabled for the knowledge setting. |
genesys_knowledge_post_documentuploads
Creates a presigned URL for uploading a knowledge import file with a set of documents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
contentMd5 | string | No | — | Content MD5 of the file to upload |
contentType | string | No | — | The content type of the file to upload. Allows all MIME types |
fileName | string | No | — | Name of the file to upload. It must not start with a dot and not end with a forward slash. Whitespace and the following characters are not allowed: {^}%`]”>[~<#| |
serverSideEncryption | string | No | — | serverSideEncryption |
signedUrlTimeoutSeconds | integer | No | — | The number of seconds the presigned URL is valid for (from 1 to 604800 seconds). If none provided, defaults to 600 seconds |
genesys_knowledge_post_guest_session_document_copies
Indicate that the document was copied by the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
documentId | string | Yes | — | Document ID |
application | object | No | — | application |
documentVariationId | string | No | — | The variation of the document whose content was copied. |
documentVersionId | string | No | — | The version of the document whose content was copied. |
queryType | string | No | — | The type of the query that surfaced the document. |
searchId | string | No | — | The search that surfaced the document whose content was copied. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
genesys_knowledge_post_guest_session_document_feedback
Give feedback on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
documentId | string | Yes | — | Document ID. |
application | object | No | — | application |
comment | string | No | — | Free-text comment of the feedback. Maximum length: 2000 characters. |
dateCreated | string | No | — | The date and time of the feedback. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
document | object | No | — | document |
documentVariation | object | No | — | documentVariation |
id | string | No | — | The globally unique identifier for the object. |
queryType | string | No | — | The type of the query that surfaced the document on which the feedback was given. |
rating | string | No | — | Feedback rating. |
reason | string | No | — | Feedback reason. |
search | object | No | — | search |
state | string | No | — | The state of the feedback. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
genesys_knowledge_post_guest_session_document_views
Create view event for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
documentId | string | Yes | — | Document ID |
documentVariationId | string | No | — | The variation of the viewed document. |
documentVersionId | string | No | — | The version of the viewed document. |
queryType | string | No | — | The type of the query that surfaced the document. |
searchId | string | No | — | The search that surfaced the viewed document. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
genesys_knowledge_post_guest_session_documents_answers
Answer documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
answerMode | any[] | No | — | Allows extracted answers from an article (AnswerHighlight) and/or AI-generated answers (AnswerGeneration). Default mode: AnswerHighlight |
appType | string | No | — | The appType |
insertHighlightIntoVariationContent | boolean | No | — | If specified - insert highlight data into the variation content. |
language | string | No | — | The language of the documents. |
query | string | No | — | The search query. |
queryType | string | No | — | The query type |
searchId | string | No | — | The search id. |
variationIds | any[] | Yes | — | The variation Ids to answer. |
genesys_knowledge_post_guest_session_documents_presentations
Indicate that documents were presented to the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
application | object | No | — | application |
documents | any[] | No | — | The presented documents |
queryType | string | No | — | The type of the query that surfaced the documents. |
searchId | string | No | — | The search that surfaced the documents that were presented. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
genesys_knowledge_post_guest_session_documents_search
Search the documents in a guest session. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
expand | any[] | No | — | Fields, if any, to expand for each document in the search result matching the query. |
answerHighlightTopResults | integer | No | — | The number of articles to be sent for answer-highlighting. Can range from 1-5. |
includeDraftDocuments | boolean | No | — | Indicates whether the search results would also include draft documents. |
pageCount | integer | No | — | Number of pages returned in the result calculated according to the pageSize and the total |
pageNumber | integer | No | — | Page number of the returned results. |
pageSize | integer | No | — | Page size of the returned results. |
query | string | No | — | Query to search content in the knowledge base. Maximum of 30 records per query can be fetched. |
queryType | string | No | — | The type of the query that initiates the search. |
searchId | string | No | — | The globally unique identifier for the search. |
total | integer | No | — | The total number of documents matching the query. |
genesys_knowledge_post_guest_session_documents_search_suggestions
Query the knowledge documents to provide suggestions for auto completion. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Knowledge guest session ID. |
includeDraftDocuments | boolean | No | — | Indicates whether the suggestion results would also include draft documents. |
pageSize | integer | No | — | Page size of the returned results. |
query | string | No | — | Query to get autocomplete suggestions for the matching knowledge documents. |
genesys_knowledge_post_guest_sessions
Create guest session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
app | object | Yes | — | app |
contexts | any[] | No | — | The session contexts. |
customerId | string | Yes | — | An arbitrary ID for the customer starting the session. Used to track multiple sessions started by the same customer. |
id | string | No | — | Session ID. |
journeySessionId | string | No | — | Journey session ID. Used to get the segments of the customer to filter search results. |
pageUrl | string | No | — | URL of the page where the session is started. |
genesys_knowledge_post_knowledge_knowledgebase_documents_query
Query for knowledge documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge Base ID |
expand | any[] | No | — | Fields, if any, to expand for each document in the search result matching the query. |
filter | object | No | — | filter |
includeDraftDocuments | boolean | No | — | Indicates whether the results would also include draft documents. |
includeVariations | string | No | — | Indicates which document variations to include in returned documents. All: all variations regardless of the filter expression; AllMatching: all variations that match the filter expression; SingleMostRelevant: single variation that matches the filter expression and has the highest priority. The default is All. |
interval | object | No | — | interval |
pageNumber | integer | No | — | Page number of the returned results. |
pageSize | integer | No | — | Page size of the returned results. |
sortBy | string | No | — | The field in the documents that you want to sort the results by. |
sortOrder | string | No | — | The sort order for results. |
genesys_knowledge_post_knowledge_knowledgebase_documents_search
Search the documents in a knowledge base. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | The ID of knowledge base containing the documents to query. |
expand | any[] | No | — | Fields, if any, to expand for each document in the search result matching the query. |
answerHighlightTopResults | integer | No | — | The number of articles to be sent for answer-highlighting. Can range from 1-5. |
answerMode | any[] | No | — | Allows extracted answers from an article (AnswerHighlight) and/or AI-generated answers (AnswerGeneration). Default mode: AnswerHighlight. Use this property with answerHighlightTopResults. |
application | object | No | — | application |
confidenceThreshold | number | No | — | The confidence threshold for the search results. If applied, the returned results will have an equal or higher confidence than the threshold. The value should be between 0 to 1. |
conversationContext | object | No | — | conversationContext |
filter | object | No | — | filter |
includeDraftDocuments | boolean | No | — | Indicates whether the search results would also include draft documents. |
interval | object | No | — | interval |
pageCount | integer | No | — | Number of pages returned in the result calculated according to the pageSize and the total |
pageNumber | integer | No | — | Page number of the returned results. |
pageSize | integer | No | — | Page size of the returned results. |
preprocessQuery | boolean | No | — | Indicates whether the search query should be preprocessed. |
query | string | No | — | Query to search content in the knowledge base. Maximum of 30 records per query can be fetched. |
queryType | string | No | — | The type of the query that initiates the search. |
searchId | string | No | — | The globally unique identifier for the search. |
sortBy | string | No | — | The field in the documents that you want to sort the search results by. |
sortOrder | string | No | — | The sort order for search results. |
total | integer | No | — | The total number of documents matching the query. |
genesys_knowledge_post_knowledge_knowledgebase_documents_search_suggestions
Query the knowledge documents to provide suggestions for auto completion. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | The ID of knowledge base containing the documents to query. |
filter | object | No | — | filter |
includeDraftDocuments | boolean | No | — | Indicates whether the suggestion results would also include draft documents. |
interval | object | No | — | interval |
pageSize | integer | No | — | Page size of the returned results. |
query | string | No | — | Query to get autocomplete suggestions for the matching knowledge documents. |
genesys_knowledge_post_knowledge_search
Get Knowledge Search Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application | object | No | — | application |
conversationContext | object | No | — | conversationContext |
conversationTurns | any[] | No | — | List of conversation turns to use for stateful search. |
generationLanguage | string | No | — | The language to use for answer generation. |
knowledgeSettingId | string | No | — | Knowledge Setting Id to use for search request. |
query | string | No | — | Input query to search content on the knowledge setting. |
queryType | string | No | — | The type of the query that initiates the search. |
sessionId | string | No | — | The session id for search request. |
genesys_knowledge_post_knowledgebase_categories
Create new category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
description | string | No | — | The description for the category. |
externalId | string | No | — | The external id associated with the category. |
id | string | No | — | The globally unique identifier for the object. |
name | string | Yes | — | The name of the category. |
parentCategoryId | string | No | — | parentCategoryId |
selfUri | string | No | — | The URI for this object |
genesys_knowledge_post_knowledgebase_chunks_search
Search for chunks in a knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge Base ID |
application | object | No | — | application |
confidenceThreshold | number | No | — | The confidence threshold for the chunk results. If applied, the returned results will have an equal or higher confidence than the threshold. The value should be between 0 to 1. |
conversationContext | object | No | — | conversationContext |
filter | object | No | — | filter |
includeDraftDocuments | boolean | No | — | Indicates whether the chunk results would also include draft documents. |
pageNumber | integer | No | — | Page number of the returned results. |
pageSize | integer | No | — | Page size of the returned results. |
preprocessQuery | boolean | No | — | Indicates whether the chunks search query should be preprocessed. |
query | string | No | — | Query to search chunks in the knowledge base. |
queryType | string | No | — | The type of the query that initiates the chunks search. |
genesys_knowledge_post_knowledgebase_document_copies
Indicate that the document was copied by the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
application | object | No | — | application |
conversationContext | object | No | — | conversationContext |
documentVariationId | string | No | — | The variation of the document whose content was copied. |
documentVersionId | string | No | — | The version of the document whose content was copied. |
queryType | string | No | — | The type of the query that surfaced the document. |
searchId | string | No | — | The search that surfaced the document whose content was copied. |
sessionId | string | No | — | Knowledge session ID. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
genesys_knowledge_post_knowledgebase_document_feedback
Give feedback on a document Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
application | object | No | — | application |
comment | string | No | — | Free-text comment of the feedback. Maximum length: 2000 characters. |
conversationContext | object | No | — | conversationContext |
dateCreated | string | No | — | The date and time of the feedback. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
document | object | No | — | document |
documentVariation | object | No | — | documentVariation |
id | string | No | — | The globally unique identifier for the object. |
queryType | string | No | — | The type of the query that surfaced the document on which the feedback was given. |
rating | string | No | — | Feedback rating. |
reason | string | No | — | Feedback reason. |
search | object | No | — | search |
selfUri | string | No | — | The URI for this object |
sessionId | string | No | — | Knowledge guest session ID. |
state | string | No | — | The state of the feedback. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
userId | string | No | — | The ID of the user who created the feedback. |
genesys_knowledge_post_knowledgebase_document_variations
Create a variation for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
body | object | No | — | body |
contexts | any[] | Yes | — | The context values associated with the variation. |
dateCreated | string | No | — | The creation date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
dateModified | string | No | — | The last modification date-time for the document variation. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
document | object | No | — | document |
documentVersion | object | No | — | documentVersion |
id | string | No | — | The globally unique identifier for the variation. |
name | string | No | — | The name of the variation. |
priority | integer | No | — | The priority of the variation. |
selfUri | string | No | — | The URI for this object |
genesys_knowledge_post_knowledgebase_document_versions
Creates or restores a document version. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Globally unique identifier for the knowledge base. |
documentId | string | Yes | — | Globally unique identifier for the document. |
dateExpires | string | No | — | Expiry date of document version, applicable only to the ‘Archived’ version of the document. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
datePublished | string | No | — | Published date of document version. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
document | object | No | — | document |
id | string | No | — | Globally unique identifier for the document version. |
restoreFromVersionId | string | Yes | — | The globally unique identifier for the document version. If the value is provided, the document is restored to the given version. If not, it publishes the draft changes as a new version of the document. |
selfUri | string | No | — | The URI for this object |
versionNumber | integer | No | — | Version Number of the document. |
genesys_knowledge_post_knowledgebase_document_views
Create view for a document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
documentId | string | Yes | — | Document ID. |
application | object | No | — | application |
conversationContext | object | No | — | conversationContext |
documentVariationId | string | No | — | The variation of the viewed document. |
documentVersionId | string | No | — | The version of the viewed document. |
queryType | string | No | — | The type of the query that surfaced the document. |
searchId | string | No | — | The search that surfaced the viewed document. |
sessionId | string | No | — | The unique identifier of the knowledge session in which the document was viewed. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
genesys_knowledge_post_knowledgebase_documents
Create document. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
alternatives | any[] | No | — | List of alternate phrases related to the title which improves search results. |
categoryId | string | No | — | The category associated with the document. |
externalId | string | No | — | The external id associated with the document. |
externalUrl | string | No | — | The URL to external document. |
id | string | No | — | The globally unique identifier for the object. |
labelIds | any[] | No | — | The ids of labels associated with the document. |
selfUri | string | No | — | The URI for this object |
title | string | Yes | — | Document title. |
visible | boolean | No | — | Indicates if the knowledge document should be included in search results. |
genesys_knowledge_post_knowledgebase_documents_answers
Answer documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
answerMode | any[] | No | — | Allows extracted answers from an article (AnswerHighlight) and/or AI-generated answers (AnswerGeneration). Default mode: AnswerHighlight |
appType | string | No | — | The appType |
insertHighlightIntoVariationContent | boolean | No | — | If specified - insert highlight data into the variation content. |
language | string | No | — | The language of the documents. |
query | string | No | — | The search query. |
queryType | string | No | — | The query type |
searchId | string | No | — | The search id. |
variationIds | any[] | Yes | — | The variation Ids to answer. |
genesys_knowledge_post_knowledgebase_documents_presentations
Indicate that documents were presented to the user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID. |
application | object | No | — | application |
conversationContext | object | No | — | conversationContext |
documents | any[] | No | — | The presented documents |
queryType | string | No | — | The type of the query that surfaced the documents. |
searchId | string | No | — | The search that surfaced the documents that were presented. |
sessionId | string | No | — | Knowledge session ID. |
surfacingMethod | string | No | — | The method how knowledge was surfaced. Article: Full article was shown. Snippet: A snippet from the article was shown. Highlight: A highlighted answer in a snippet was shown.Generative: A generated answer in a snippet was shown. |
genesys_knowledge_post_knowledgebase_documents_query
Query for knowledge documents. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge Base ID |
expand | any[] | No | — | Fields, if any, to expand for each document in the search result matching the query. |
filter | object | No | — | filter |
includeDraftDocuments | boolean | No | — | Indicates whether the results would also include draft documents. |
includeVariations | string | No | — | Indicates which document variations to include in returned documents. All: all variations regardless of the filter expression; AllMatching: all variations that match the filter expression; SingleMostRelevant: single variation that matches the filter expression and has the highest priority. The default is All. |
interval | object | No | — | interval |
pageNumber | integer | No | — | Page number of the returned results. |
pageSize | integer | No | — | Page size of the returned results. |
sortBy | string | No | — | The field in the documents that you want to sort the results by. |
sortOrder | string | No | — | The sort order for results. |
genesys_knowledge_post_knowledgebase_documents_search
Search the documents in a knowledge base. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | The ID of knowledge base containing the documents to query. |
expand | any[] | No | — | Fields, if any, to expand for each document in the search result matching the query. |
answerHighlightTopResults | integer | No | — | The number of articles to be sent for answer-highlighting. Can range from 1-5. |
answerMode | any[] | No | — | Allows extracted answers from an article (AnswerHighlight) and/or AI-generated answers (AnswerGeneration). Default mode: AnswerHighlight. Use this property with answerHighlightTopResults. |
application | object | No | — | application |
confidenceThreshold | number | No | — | The confidence threshold for the search results. If applied, the returned results will have an equal or higher confidence than the threshold. The value should be between 0 to 1. |
conversationContext | object | No | — | conversationContext |
filter | object | No | — | filter |
includeDraftDocuments | boolean | No | — | Indicates whether the search results would also include draft documents. |
interval | object | No | — | interval |
pageCount | integer | No | — | Number of pages returned in the result calculated according to the pageSize and the total |
pageNumber | integer | No | — | Page number of the returned results. |
pageSize | integer | No | — | Page size of the returned results. |
preprocessQuery | boolean | No | — | Indicates whether the search query should be preprocessed. |
query | string | No | — | Query to search content in the knowledge base. Maximum of 30 records per query can be fetched. |
queryType | string | No | — | The type of the query that initiates the search. |
searchId | string | No | — | The globally unique identifier for the search. |
sortBy | string | No | — | The field in the documents that you want to sort the search results by. |
sortOrder | string | No | — | The sort order for search results. |
total | integer | No | — | The total number of documents matching the query. |
genesys_knowledge_post_knowledgebase_documents_search_suggestions
Query the knowledge documents to provide suggestions for auto completion. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | The ID of knowledge base containing the documents to query. |
filter | object | No | — | filter |
includeDraftDocuments | boolean | No | — | Indicates whether the suggestion results would also include draft documents. |
interval | object | No | — | interval |
pageSize | integer | No | — | Page size of the returned results. |
query | string | No | — | Query to get autocomplete suggestions for the matching knowledge documents. |
genesys_knowledge_post_knowledgebase_labels
Create new label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
color | string | Yes | — | The color for the label. |
externalId | string | No | — | The external id associated with the label. |
id | string | No | — | The globally unique identifier for the object. |
name | string | Yes | — | The name of the label. |
selfUri | string | No | — | The URI for this object |
genesys_knowledge_post_knowledgebase_parse_jobs
Create parse job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
hints | any[] | No | — | Hinted titles for the parser. |
uploadKey | string | Yes | — | Upload key |
genesys_knowledge_post_knowledgebase_sources_salesforce
Create Salesforce Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
id | string | No | — | The globally unique identifier for the object. |
integrationId | string | No | — | The integration associated with the source. |
name | string | Yes | — | The name of the integration source. |
schedulePeriod | integer | No | — | The schedule period of the source in hours. Must be at least 6 and at most 48 hours. |
selfUri | string | No | — | The URI for this object |
settings | object | No | — | settings |
genesys_knowledge_post_knowledgebase_sources_salesforce_source_id_sync
Start sync on Salesforce Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
genesys_knowledge_post_knowledgebase_sources_servicenow
Create ServiceNow Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
id | string | No | — | The globally unique identifier for the object. |
integrationId | string | No | — | The integration associated with the source. |
name | string | Yes | — | The name of the integration source. |
schedulePeriod | integer | No | — | The schedule period of the source in hours. Must be at least 6 and at most 48 hours. |
selfUri | string | No | — | The URI for this object |
settings | object | No | — | settings |
genesys_knowledge_post_knowledgebase_sources_servicenow_source_id_sync
Start synchronization on ServiceNow Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
genesys_knowledge_post_knowledgebase_synchronize_jobs
Create synchronization job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | No | — | Knowledge integration source id. |
uploadKey | string | Yes | — | Upload key |
genesys_knowledge_post_knowledgebase_uploads_urls_jobs
Create content upload from URL job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
uploadUrl | string | Yes | — | The URL of the content to upload. |
genesys_knowledge_post_knowledgebases
Create new knowledge base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
coreLanguage | string | Yes | — | Core language for knowledge base in which initial content must be created, language codes [en-US, en-UK, en-AU, de-DE] are supported currently. However, the new DX knowledge will support all these language codes, along with ‘early preview’ language codes [ca-ES, tr-TR, sv-SE, fi-FI, nb-NO, da-DK, ja-JP, ar-AE, zh-CN, zh-TW, zh-HK, ko-KR, pl-PL, hi-IN, th-TH, hu-HU, vi-VN, uk-UA] which might have a lower accuracy. |
description | string | No | — | Knowledge base description |
name | string | Yes | — | Knowledge base name |
genesys_knowledge_post_search
Get Knowledge Search Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application | object | No | — | application |
conversationContext | object | No | — | conversationContext |
conversationTurns | any[] | No | — | List of conversation turns to use for stateful search. |
generationLanguage | string | No | — | The language to use for answer generation. |
knowledgeSettingId | string | No | — | Knowledge Setting Id to use for search request. |
query | string | No | — | Input query to search content on the knowledge setting. |
queryType | string | No | — | The type of the query that initiates the search. |
sessionId | string | No | — | The session id for search request. |
genesys_knowledge_post_search_preview
Get Knowledge Search Preview Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversationTurns | any[] | No | — | List of conversation turns to use for stateful search. |
generationSetting | object | No | — | generationSetting |
query | string | No | — | Query to search content in the knowledge sources. |
sources | any[] | No | — | Source information to search upon. |
stateful | boolean | No | — | Indicates if stateful search and generation is enabled for the knowledge setting. |
genesys_knowledge_post_settings
Create Knowledge setting. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | Knowledge setting description. |
generationSetting | object | No | — | generationSetting |
name | string | No | — | Knowledge setting name. |
sources | any[] | No | — | Knowledge source information to search upon. |
stateful | boolean | No | — | Indicates if stateful search and generation is enabled for the knowledge setting. |
genesys_knowledge_put_knowledgebase_sources_salesforce_source_id
Update Salesforce Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
id | string | No | — | The globally unique identifier for the object. |
integrationId | string | No | — | The integration associated with the source. |
name | string | Yes | — | The name of the integration source. |
schedulePeriod | integer | No | — | The schedule period of the source in hours. Must be at least 6 and at most 48 hours. |
selfUri | string | No | — | The URI for this object |
settings | object | No | — | settings |
genesys_knowledge_put_knowledgebase_sources_servicenow_source_id
Update ServiceNow Knowledge integration source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
knowledgeBaseId | string | Yes | — | Knowledge base ID |
sourceId | string | Yes | — | Source ID |
id | string | No | — | The globally unique identifier for the object. |
integrationId | string | No | — | The integration associated with the source. |
name | string | Yes | — | The name of the integration source. |
schedulePeriod | integer | No | — | The schedule period of the source in hours. Must be at least 6 and at most 48 hours. |
selfUri | string | No | — | The URI for this object |
settings | object | No | — | settings |

